commit:     a1d8b122e1b29fea6837c414dad73db3d915eafb
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Dec  7 20:25:32 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Dec  7 20:31:32 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a1d8b122

dev-util/pkgcheck: Require setuptools for doc install too

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-util/pkgcheck/pkgcheck-0.7.1.ebuild | 5 ++++-
 dev-util/pkgcheck/pkgcheck-9999.ebuild  | 5 ++++-
 2 files changed, 8 insertions(+), 2 deletions(-)

diff --git a/dev-util/pkgcheck/pkgcheck-0.7.1.ebuild 
b/dev-util/pkgcheck/pkgcheck-0.7.1.ebuild
index 85632f39aa0..8ab52c61b8a 100644
--- a/dev-util/pkgcheck/pkgcheck-0.7.1.ebuild
+++ b/dev-util/pkgcheck/pkgcheck-0.7.1.ebuild
@@ -45,12 +45,15 @@ DEPEND="${RDEPEND}
                dev-python/docutils[${PYTHON_USEDEP}]
                dev-python/sphinx[${PYTHON_USEDEP}]
        ') )
+       !doc? (
+               $(python_gen_any_dep 'dev-python/setuptools[${PYTHON_USEDEP}]')
+       )
        test? ( dev-python/pytest[${PYTHON_USEDEP}] )
 "
 
 python_check_deps() {
+       has_version "dev-python/setuptools[${PYTHON_USEDEP}]" || return 1
        if use doc; then
-               has_version "dev-python/setuptools[${PYTHON_USEDEP}]" &&
                has_version "dev-python/docutils[${PYTHON_USEDEP}]" &&
                has_version "dev-python/sphinx[${PYTHON_USEDEP}]"
        fi

diff --git a/dev-util/pkgcheck/pkgcheck-9999.ebuild 
b/dev-util/pkgcheck/pkgcheck-9999.ebuild
index 85632f39aa0..8ab52c61b8a 100644
--- a/dev-util/pkgcheck/pkgcheck-9999.ebuild
+++ b/dev-util/pkgcheck/pkgcheck-9999.ebuild
@@ -45,12 +45,15 @@ DEPEND="${RDEPEND}
                dev-python/docutils[${PYTHON_USEDEP}]
                dev-python/sphinx[${PYTHON_USEDEP}]
        ') )
+       !doc? (
+               $(python_gen_any_dep 'dev-python/setuptools[${PYTHON_USEDEP}]')
+       )
        test? ( dev-python/pytest[${PYTHON_USEDEP}] )
 "
 
 python_check_deps() {
+       has_version "dev-python/setuptools[${PYTHON_USEDEP}]" || return 1
        if use doc; then
-               has_version "dev-python/setuptools[${PYTHON_USEDEP}]" &&
                has_version "dev-python/docutils[${PYTHON_USEDEP}]" &&
                has_version "dev-python/sphinx[${PYTHON_USEDEP}]"
        fi

Reply via email to